API reference
Auto-generated from the OpenAPI spec. Base URL:
https://cawly.ai/api/v1
All endpoints require an API key: Authorization: Bearer ck_....
GET /contacts
List contacts
Parameters
q(query) - stringper_page(query) - integer
Responses: 200
POST /contacts
Create a contact
Responses: 201
GET /phone-lookup
Identify a phone number
Parameters
number(query, required) - string
Responses: 200, 422
GET /calls
List calls
Parameters
q(query) - stringphone(query) - stringdate(query) - stringfrom(query) - stringto(query) - stringpage(query) - integercursor(query) - stringper_page(query) - integer
Responses: 200
GET /calls/{id}
Get a call with its audit
Parameters
id(path, required) - integer
Responses: 200, 404
GET /conversations
List conversations
Responses: 200
GET /appointments
List appointments
Responses: 200
GET /sales/{tool}
In-house sales read for the MCP server
Parameters
tool(path, required) - string
Responses: 200, 404, 422
POST /sales/{tool}
In-house email experiment writes for the MCP server
Parameters
tool(path, required) - string
Responses: 200, 404, 422